
TYPO3.Flow - Feature # 43082

Status: Needs Feedback Priority: Should have
Author: Ingo Pfennigstorf Category:
Created: 2012-11-18 Assigned To:
Updated: 2015-01-05 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add CLI support for scaffolding models, views, controller
Description

Add a cli mechanism to quickly generate code scaffolds on the command line.

Some examples on how it could be used:

Generate a model

php typo3/cli_dispatch.phpsh extbase:generate model car wheels:int seats:int manufacturer:string

This generates:

    -  A model class Car.php with the provided properties and types
    -  A TCA definition
    -  …

Generate a Controller

php typo3/cli_dispatch.phpsh extbase:generate controller car index list show

This generates:

    -  A controller named CarController.php with the actions indexAction, listAction, showAction
    -  (Maybe) an entry in ext_localconf.php as allowed controller / action combination
    -  Html files Index.html, List.html, Show.html in Resources/Private/Templates/Car/

Todos and remarks
The cli actions may be named after TYPO3 Flow conventions and maybe have the same featureset.
The generated code is really very basic, just dumb files without getting too complex, so good defaults have to be found regarding the
models and class inheritance of them (VO, AE, ...)

History
#1 - 2012-11-18 21:52 - Ingo Pfennigstorf
- Target version set to Extbase 6.1

#2 - 2013-04-13 15:46 - Robert Weißgraeber
- Target version changed from Extbase 6.1 to Extbase 6.2

#3 - 2013-05-01 22:03 - Alexander Schnitzler
- Status changed from New to On Hold
#4 - 2013-05-31 15:28 - Anja Leichsenring
- Target version changed from Extbase 6.2 to Extbase 6.3

#5 - 2014-09-19 09:22 - Alexander Opitz

Hi,

was this issue fixed or does it still exists?

#6 - 2014-09-19 09:27 - Anja Leichsenring
- Status changed from On Hold to New

#7 - 2014-09-19 09:42 - Alexander Opitz
- Status changed from New to Needs Feedback

#8 - 2014-09-20 14:12 - Ingo Pfennigstorf

Not fixed, still exists. but may first be done in Flow as extbase is only some kind of backport.

#9 - 2014-09-21 19:14 - Alexander Opitz
- Project changed from Extbase MVC Framework to TYPO3.Flow

#10 - 2015-01-05 11:38 - Michael Stucki
- Category deleted (Extbase: Command)
- Target version deleted (Extbase 6.3)

#11 - 2015-01-05 11:39 - Michael Stucki

FYI: On request of the CMS team I have archived the "Extbase" project in Forge (https://forge.typo3.org/projects/typo3v4-mvc). This issue referred to a
version of the Extbase project, so I had to remove it.
